<UpiDllConfig>
  <UpiValueRetrieval>
    <upi_element name="upivalue">
      <upi_attribute name="version" value="1"/>
      <upi_attribute name="type" value="product"/>
      <upi_element name="level">

          <upi_attribute name="name" value="productline"/>
          <upi_attribute name="id">
            <upi_reader name="MSIDBReader" path="..\ASCA.msi" property="UPIPRODUCTLINE" appliesto="media"/>
            <upi_reader name="RegReader" path="\HKLM\SOFTWARE\Autodesk\Autodesk Simulation\Helius PFA\2019\UPIPRODUCTLINE" appliesto="installed"/>
          </upi_attribute>

            <upi_element name="level">
            <upi_attribute name="name" value="release"/>
            <upi_attribute name="id" value="2019"/>

              <upi_element name="level">
              <upi_attribute name="name" value="master"/>
              <upi_attribute name="id">
                <upi_reader name="MSIDBReader" path="..\ASCA.msi" property="UPIMASTER" appliesto="media"/>
                <upi_reader name="RegReader" path="\HKLM\SOFTWARE\Autodesk\Autodesk Simulation\Helius PFA\2019\UPIMASTERID" appliesto="installed"/>
              </upi_attribute>

                <upi_element name="level">
                  <upi_attribute name="name" value="build"/>
                  <upi_attribute name="id">
                    <upi_reader name="MSIDBReader" path="..\ASCA.msi" property="UPIVERSION" appliesto="media"/>
                    <upi_reader name="RegReader" path="\HKLM\SOFTWARE\Autodesk\Autodesk Simulation\Helius PFA\2019\UPIVERSION" attribute="installed" appliesto="installed"/>
                  </upi_attribute>
                </upi_element>

            </upi_element>
          </upi_element>
        </upi_element>
    </upi_element>
  </UpiValueRetrieval>
</UpiDllConfig>
         